Обход ограничений безопасности в OpenStack Glance

Дата публикации:
16.12.2014
Дата изменения:
12.01.2015
Всего просмотров:
856
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:U/RC:C) = Base:6.4/Temporal:5.4
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OpenStack Glance 2014.x
Уязвимые версии:
OpenStack Glance версии с 2014.1.x (Icehouse) по 2014.1.3
OpenStack Glance версии с 2014.2.x (Juno) по 2014.2.1

Описание:

Уязвимость позволяет удаленному пользователю обойти ограничения безопасности.

Уязвимость существует из-за ошибки при обработке путей изображений через Glance v2 API. Удаленный пользователь может раскрыть или удалить защищенные файлы на сервере Glance с привилегиями текущего пользователя glance-api .



Решение: Способов устранения уязвимости не существует в настоящий момент.

Ссылки: https://bugs.launchpad.net/glance/+bug/1400966